Arch Add/tr: Difference between revisions

From FreeCAD Documentation
(Created page with "''Yukarıdaki resimde, duvara bir kutu ekleniyor.''")
(Created page with "== Nasıl kullanılır ==")
Line 19: Line 19:
''Yukarıdaki resimde, duvara bir kutu ekleniyor.''
''Yukarıdaki resimde, duvara bir kutu ekleniyor.''


== Nasıl kullanılır ==
==How to use==


# Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
# Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)

Revision as of 10:21, 16 January 2019

Mimari Ekle

Menü konumu
Mimari → Ekle
Tezgahlar
Mimari
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
Mimari Kaldır

Açıklama

Ekle aracı 4 tür işlem yapmanıza olanak sağlar:

  • Parça Şekil tabanlı nesneler Duvar veya Yapı gibi bir Mimari bileşen ekleyin. Bu nesneler daha sonra Mimari bileşenin bir parçasını oluşturur ve şeklini değiştirmenize izin verir ancak genişlik ve yükseklik gibi temel özelliklerini korur
  • Kat gibi bir grup tabanlı Mimari nesneye Duvar veya Yapı gibi Mimari bileşenleri ekleyin
  • Mimari Eksen 'ni Yapısal nesneler' e ekleyin
  • Nesneleri Kesit Düzlemi 'ne ekleyin.

Yukarıdaki resimde, duvara bir kutu ekleniyor.

Nasıl kullanılır

  1. Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
  2. Press the Add button

Scripting

The Add tool can by used in macros and from the python console by using the following function:

addComponents (objectsList,hostObject)
  • Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)